from django.contrib import admin
from .models import MosqPost, Org, DeviceInfo, WeatherStationInfo


class MosqPostAdmin(admin.ModelAdmin):
    list_display = ('device_id', 'count', 'create_time')
    list_filter = ('device_id', 'create_time')
    ordering = ['create_time']


class DeviceAdmin(admin.ModelAdmin):
    list_display = ['device_id', 'device_name', 'org']
    list_filter = ['device_id', 'org']
    ordering = ['device_id']


class OrgAdmin(admin.ModelAdmin):
    list_display = ('name', 'code')
    list_filter = ('name', 'code')
    ordering = ['name']


class WeatherStationAdmin(admin.ModelAdmin):
    list_display = ['device_id', 'device_name', 'org']
    list_filter = ['device_id', 'org']
    ordering = ['device_id']


admin.site.register(MosqPost, MosqPostAdmin)
admin.site.register(DeviceInfo, DeviceAdmin)
admin.site.register(Org, OrgAdmin)
admin.site.register(WeatherStationInfo, WeatherStationAdmin)
